import glib.*;

/***************************************************************

Copyright 2001, Bjorn Carlin.

GAMEFORM LICENSE AGREEMENT
--------------------------

This license agreement covers the source code in the folders
"GLib Source" and "GEditor Source", and the libraries "GLib.jar"
and "GEditor.jar" ("GameForm"). It does not cover the example
code distributed with GameForm.

Permission to use GameForm, whole or in part, is granted for any
personal, non-commercial purposes, to any person understanding
and fully agreeing with this license agreement.

GameForm may NOT be used, whole or in part, by any commercial
company or for any commercial software or development of
commercial software, without prior written permission from the
copyright holder. 'Commercial software' includes, but is not
limited to, charging money for using or distributing the software,
or requiring a paid subscription or license to use the software.

GameForm is provided 'as-is', without any express or implied
warranty. The author shall not be held liable for any damages
caused by the use of GameForm.

GameForm may be freely distibuted in an unaltered state, and
with no part of the package missing. Especially this copyright
notice and license agreement must be present in all source files
of all distributed copies.


CONTACT INFORMATION
-------------------

GameForm home page:
	http://home.swipnet.se/carlin/gameform/

E-mail address to Bjorn Carlin:
	bjorn.carlin@swipnet.se

Snail mail address to Bjorn Carlin:
	Bjorn Carlin
	Gnejsvagen 18 B
	752 42 Uppsala
	Sweden

***************************************************************/


/*
see GEImageCanvas for details
*/


public interface GEImageCanvasOwner
{
	// the number of images to display
	public int getImageCount(GEImageCanvas canvas);
	
	// returns the image at imageIndex
	public GPixels getImage(GEImageCanvas canvas, int imageIndex);
	
	// invoked when a new image is selected
	public void newSelectedImage(GEImageCanvas canvas);
	
	// invoked when the selected image is pressed again
	public void clickOnSelectedImage(GEImageCanvas canvas);
	
	// invoked when an image is dragged from one place to another
	public void draggedImage(GEImageCanvas canvas, int fromIndex, int toIndex);
}

