
public class BouncingFactory extends GFactory
{
	public GPixels newPixels() {
		return new BouncingPixels();
	}
	
	public GTileForm newTileForm() {
		return new BouncingTile();
	}
	
	public GSprite newSprite(int formIndex) {
		if (formIndex == 0)
			return new BouncingPlayer(formIndex);
		else if (formIndex == 1)
			return new BouncingBall(formIndex);
		
		return super.newSprite(formIndex);
	}
}

